//
//  HeadersH1NoButtonsBodyText.swift
//  MVMCoreUI
//
//  Created by Subhankar Acharya on 13/07/20.
//  Copyright © 2020 Verizon Wireless. All rights reserved.
//

import Foundation

open class HeadersH1NoButtonsBodyText: HeaderView {
    //--------------------------------------------------
    // MARK: - Outlets
    //--------------------------------------------------
    
    public let titleLockup = TitleLockup()
    
    //-------------------------------------------------------
    // MARK: - View Lifecycle
    //-------------------------------------------------------
    open override func setupView() {
        super.setupView()
        addMolecule(titleLockup)
    }
    
    //----------------------------------------------------
    // MARK: - Molecule
    //------------------------------------------------------
    
    open override func set(with model: MoleculeModelProtocol, _ delegateObject: MVMCoreUIDelegateObject?, _ additionalData: [AnyHashable: Any]?) {
        super.set(with: model, delegateObject, additionalData)
        guard let model = model as? HeadersH1NoButtonsBodyTextModel else { return }
        titleLockup.set(with: model.titleLockup, delegateObject, additionalData)
    }
    
    open override class func estimatedHeight(with model: MoleculeModelProtocol, _ delegateObject: MVMCoreUIDelegateObject?) -> CGFloat? { 121 }
}
